// 登录数据
export interface ILogin {
  username: string;
  password: string;
  code: string;
  randomStr: string;
}

// 验证码
export interface IVerificationCode {
  src: string;
  value: string;
  lenth: number;
  type: string;
}

// 标签类型
export interface ITagType {
  label: string;
  value: string;
  params: string;
  query: string;
  close?: boolean;
}

// 列表 —— 分页参数
export interface ITablePage {
  currentPage: number;
  pageSize: number;
  total: number;
}

// 权限管理 —— 菜单管理 —— 菜单类型
export interface IMenuForm {
  menuType: string;
  parentId: string;
  name: string;
  icon?: string;
  path?: string;
  permission?: string;
  sortOrder: number;
  keepAlive: string;
}

// 权限管理 —— 角色管理 —— 角色类型
export interface IRoleForm {
  roleName: string;
  roleCode: string;
  roleDesc: string;
  dsType: number;
  createTime?: string;
}
