import { createStore } from "vuex";
import getters from "./getters";
import user from "./modules/user";
import tag from "./modules/tag";
import common from "./modules/common";
import query from "./modules/query";
import searchQuery from "./modules/searchQuery";

export default createStore({
  getters,
  modules: {
    user,
    tag,
    common,
    query,
    searchQuery
  }
});
